map

pub package

A flutter package to view a Map widget in Flutter apps.

  • Map supports variety of tile providers including but not limited to Google Maps, Mapbox, OSM Maps and Yandex Maps and your custom tiles.

  • Rendering of vector tiles (e.g. MBTiles/MVT/GeoJSON) is possible but not officialy supported.

  • This package supports caching out of the box.

Demo

Web Demo

Supported platforms

  • x Flutter Android
  • x Flutter iOS
  • x Flutter Web
  • x Flutter Desktop

Getting Started

In your pubspec.yaml file add:

dependencies:
  map: any

Then, in your code import:

import 'package:map/map.dart';

Please check out the example project/tab for a working sample.

Libraries

map